# Get card details

Retrieves details for a specific card by its token.

Endpoint: GET /v3/spend/profiles/{profileId}/cards/{cardToken}
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Path parameters:

  - `profileId` (integer, required)
    The ID of the profile that owns the card.

  - `cardToken` (string, required)
    The unique token identifying the card.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200:

  - `200` (unknown)
    Card details retrieved successfully.

## Response 200 fields (application/json):

  - `token` (string)
    Unique identifier for the card.
    Example: ca0c8154-1e14-4464-a1ce-dcea7dc3de52

  - `profileId` (integer)
    Profile ID that owns this card.
    Example: 123456

  - `clientId` (string)
    Client ID of the partner that issued the card.
    Example: wise_api_docs

  - `status` (object)
    Current status of the card.

  - `status.value` (string)
    Status value. One of:
- `ACTIVE` - Card is active and can be used
- `INACTIVE` - Card is inactive and all transactions will be declined
- `BLOCKED` - Card is blocked and cannot be reversed back to any state
- `FROZEN` - Card is temporarily frozen; all authorization requests will be declined
- `PARTNER_SUSPENDED` - Card is suspended by Wise temporarily (do not display to end customers)
- `EXPIRED` - Card is expired
- `PURGED` - Cardholder data (e.g. PAN, PIN) has been purged after the retention period (555 days after the card's expiry date)
    Enum: "ACTIVE", "INACTIVE", "BLOCKED", "FROZEN", "PARTNER_SUSPENDED", "EXPIRED", "PURGED"

  - `cardHolderName` (string)
    Name of the card holder.
    Example: John Smith

  - `expiryDate` (string)
    Date when the card will expire.
    Example: 2028-05-31T00:00:00Z

  - `lastFourDigits` (string)
    Last 4 digits of the card number.
    Example: 6320

  - `bankIdentificationNumber` (string)
    Bank identification number (BIN) of the card.
    Example: 459661

  - `phoneNumber` (string)
    Phone number associated with the card.
    Example: +441234567890

  - `cardProgram` (object)
    Card program details.

  - `cardProgram.name` (string)
    Name of the card program.
    Example: VISA_DEBIT_BUSINESS_UK_1

  - `cardProgram.scheme` (string)
    Card network scheme.
    Enum: "VISA", "MASTERCARD"

  - `cardProgram.defaultCurrency` (string)
    Default currency of the card.
    Example: GBP

  - `cardProgram.cardType` (string)
    Type of the card. E.g. `PHYSICAL` or `VIRTUAL`.
    Example: VIRTUAL

  - `unlockSpendingPermissions` (string)
    Method with which physical card spending permissions can be unlocked. One of:
- `WITH_PARTNER_API` - Unlock via Partner API
- `WITH_FIRST_CHIP_AND_PIN_TRANSACTION` - Unlock with first chip and PIN transaction
- `NONE` - Not applicable (for virtual cards)
    Enum: "WITH_PARTNER_API", "WITH_FIRST_CHIP_AND_PIN_TRANSACTION", "NONE"

  - `creationTime` (string)
    Time when the card was created.
    Example: 2022-05-31T01:43:24.596321434Z

  - `modificationTime` (string)
    Time when the card was last modified.
    Example: 2022-05-31T01:43:24.596321825Z

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

